
Redmine - Defect #40555

Watcher group checkbox on new issue form on validation error will be checked only submitted

2024-04-12 16:41 - Kenta Kumojima

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

On new issue form, checking a group as a watcher and causing a validation error, all users belongs the group will be checked in

spite of submitting not checked.

It is better to decide checked or not based on the user submitted.

Related issues:

Is duplicate of Redmine - Defect #40410: Watcher groups on new issue form get... Closed

Associated revisions

Revision 22792 - 2024-04-28 09:12 - Marius BĂLTEANU

Fixes that watcher groups on new issue form get dereferenced on validation error (#40410, #40555).

Patch by Felix Schäfer (@felix) and Kenta Kumojima (@kumojima).

History

#1 - 2024-04-12 16:43 - Kenta Kumojima

this patch related on #40410

#2 - 2024-04-28 09:13 - Marius BĂLTEANU

- Tracker changed from Patch to Defect

- Status changed from New to Closed

- Assignee set to Marius BĂLTEANU

- Resolution set to Duplicate

Patch committed as part of #40410, thanks!

#3 - 2024-04-28 09:13 - Marius BĂLTEANU

- Is duplicate of Defect #40410: Watcher groups on new issue form get dereferenced on validation error added

Files

checked_only_submitted.patch 2.03 KB 2024-04-12 Kenta Kumojima
